%define _name gnome-themes
%define ver_major 2.6

Name: %_name-default
Version: %ver_major.3
Release: alt1

Summary: A set of default themes for GNOME 2 desktop
License: LGPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

Requires: gtk-engines-hc = %version-%release
Requires: gtk-engines-crux = %version-%release
Requires: gtk-engines-mist = %version-%release
Requires: gtk-engines-lighthouseblue = %version-%release
Requires: gtk-engines-thinice = %version-%release
Requires: gnome-themes-accessibility = %version-%release
Requires: gtk2-themes-Grand-Canyon = %version-%release
Requires: gtk2-themes-Ocean-Dream = %version-%release
Requires: gtk2-themes-Simple = %version-%release
Requires: gtk2-themes-Smokey-Blue = %version-%release
Requires: gtk2-themes-Traditional = %version-%release
Requires: gnome-icon-theme-Flat-Blue = %version-%release
Requires: gnome-icon-theme-Sandy = %version-%release
Requires: gnome-icon-theme-Smokey-Blue = %version-%release
Requires: gnome-icon-theme-Smokey-Red = %version-%release
Requires: metacity-themes-Sandwish = %version-%release
Requires: metacity-themes-Smokey = %version-%release

%define gtk_ver 2.4.2
%define gtk_binary_ver 2.4.0
%define libgnome_ver 2.6.1.1
%define gtk_engines_default_ver 2.2.0-alt2.6
%define icon_theme_ver 1.2.3

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: gtk-engines-default-devel >= %gtk_engines_default_ver

# Automatically added by buildreq on Thu Jan 15 2004
BuildRequires: gcc-c++ glib2-devel gtk-engines-default-devel libatk-devel libgtk+2-devel libpango-devel perl-XML-Parser pkgconfig

BuildRequires: gnome-common

%description
This package provides a set of default themes for GNOME 2 desktop.

%package common
Summary: Common files for GNOME default themes
Group: Graphical desktop/GNOME

%description common
This package contains common files needed to use GNOME default themes.

%package -n gtk-engines-hc
Summary: A GTK+2 high contrast theme engine
Group: Graphical desktop/GNOME
Requires: %name-common = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n gtk-engines-hc
Engine for high contrast themes, that improves visibility of shadows, edges,
and indicators when theme background and foreground contain near-black
and near-white colors.

%package -n gtk-engines-crux
Summary: A GTK+2 theme engine - Crux
Group: Graphical desktop/GNOME
Requires: %name-common = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n gtk-engines-crux
This package contains a GTK2+ theme engine named Crux and developed by
Eazel, Inc.

%package -n gtk-engines-mist
Summary: A GTK+2 theme engine - Mist
Group: Graphical desktop/GNOME
Requires: %name-common = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n gtk-engines-mist
Author named this after the song he was listening to when he named it
(Opeth's "In Mist She Was Standing").
This package also provides Mist themes for GTK+2 and Metacity.

%package -n gtk-engines-lighthouseblue
Summary: A GTK+2 theme engine - Lighthouse Blue
Group: Graphical desktop/GNOME
Requires: %name-common = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n gtk-engines-lighthouseblue
This package contains a GTK2+ theme engine Lighthouse Blue.

%package -n gtk-engines-thinice
Summary: A GTK+2 theme engine - Thin Ice
Group: Graphical desktop/GNOME
Obsoletes: gtk-engines-thinice-devel
Requires: %name-common = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n gtk-engines-thinice
This package contains a GTK2+ theme engine Thin Ice.

%package -n gnome-themes-accessibility
Summary: The 7 accessibility themes for GNOME
Group: Graphical desktop/GNOME
Requires: %name-common = %version-%release
Requires: gtk-engines-hc = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n gnome-themes-accessibility
This package provides 7 accessibility themes for GNOME

- HighContrast[LargePrint][Inverse]
- LowContrast[LargePrint]
- LargePrint

%package -n gtk2-themes-Grand-Canyon
Summary: A GTK+2 theme - Grand Canyon
Group: Graphical desktop/GNOME
Requires: %name-common = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver
Requires: gtk-engines-pixmap

%description -n gtk2-themes-Grand-Canyon
This package provides a GTK+2 theme - Grand Canyon

%package -n gtk2-themes-Ocean-Dream
Summary: A GTK+2 theme - Ocean Dream
Group: Graphical desktop/GNOME
Requires: %name-common = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n gtk2-themes-Ocean-Dream
This package provides a GTK+2 theme - Ocean Dream.

%package -n gtk2-themes-Simple
Summary: A Simple theme for GTK+2
Group: Graphical desktop/GNOME
Requires: %name-common = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver
Requires: gtk-engines-thinice
Requires: gtk-engines-redmond95

%description -n gtk2-themes-Simple
This package provides a Simple theme for GTK+2.

%package -n gtk2-themes-Smokey-Blue
Summary: A Smokey-Blue theme for GTK+2
Group: Graphical desktop/GNOME
Requires: %name-common = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver
Requires: gtk-engines-pixmap

%description -n gtk2-themes-Smokey-Blue
This package provides a Smokey-Blue theme for GTK+2.

%package -n gtk2-themes-Traditional
Summary: A GTK+2 theme - Traditional
Group: Graphical desktop/GNOME
Requires: %name-common = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n gtk2-themes-Traditional
This package provides a Traditional theme for GTK+2.
Requires: gnome-icon-theme >= %icon_theme_ver

%package -n gnome-icon-theme-Flat-Blue
Summary: A Flat-Blue icon theme for GNOME
Group: Graphical desktop/GNOME
Requires: %name-common = %version-%release

%description -n gnome-icon-theme-Flat-Blue
This package provides a Flat-Blue icon theme for GNOME.

%package -n gnome-icon-theme-Sandy
Summary: A GNOME icon theme - Sandy
Group: Graphical desktop/GNOME
Requires: %name-common = %version-%release

%description -n gnome-icon-theme-Sandy
This package provides a GNOME icon theme - Sandy.

%package -n gnome-icon-theme-Smokey-Blue
Summary: A Smokey-Blue icon theme for GNOME
Group: Graphical desktop/GNOME
Requires: %name-common = %version-%release

%description -n gnome-icon-theme-Smokey-Blue
This package provides a Smokey-Blue icon theme for GNOME.

%package -n gnome-icon-theme-Smokey-Red
Summary: A Smokey-Red icon theme for GNOME
Group: Graphical desktop/GNOME
Requires: %name-common = %version-%release

%description -n gnome-icon-theme-Smokey-Red
This package provides a Smokey-Red icon theme for GNOME.

%package -n metacity-themes-Sandwish
Summary: A Metacity theme - Sandwish
Group: Graphical desktop/GNOME
Requires: %name-common = %version-%release

%description -n metacity-themes-Sandwish
This package provides Metacity theme - Sandwish.

%package -n metacity-themes-Smokey
Summary: A Smokey theme for Metacity
Group: Graphical desktop/GNOME
Requires: %name-common = %version-%release

%description -n metacity-themes-Smokey
This package provides a Smokey theme for Metacity.

%prep
%setup -q -n %_name-%version

%__subst 's,\$2/\(\$ORIG_FILE\),\1,' common/mkiconlinks.sh

%build
%configure --disable-static
%make_build

%install
%makeinstall

find %buildroot%_iconsdir -name "index.theme" -print0|\
xargs -r0 %__subst 's|\(Inherits=.*$\)|\1,hicolor,default.kde|' --

# remove non-packaged files
%__rm -f %buildroot%_libdir/gtk-2.0/%gtk_binary_ver/engines/*.la

%find_lang %_name

%files

%files common -f %_name.lang
%doc README ChangeLog AUTHORS

%files -n gtk-engines-hc
%_libdir/gtk-2.0/%gtk_binary_ver/engines/libhcengine.so

%files -n gtk-engines-crux
%_libdir/gtk-2.0/%gtk_binary_ver/engines/*crux*.so
%_datadir/eazel-engine
%_datadir/themes/Crux
%_iconsdir/Crux

%files -n gtk-engines-mist
%_libdir/gtk-2.0/%gtk_binary_ver/engines/*mist.so
%_datadir/themes/Mist

%files -n gtk-engines-lighthouseblue
%_libdir/gtk-2.0/%gtk_binary_ver/engines/*lighthouseblue.so
%_datadir/themes/LighthouseBlue

%files -n gtk-engines-thinice
%_libdir/gtk-2.0/%gtk_binary_ver/engines/*thinice.so
%_datadir/themes/ThinIce

%files -n gnome-themes-accessibility
%_datadir/themes/HighContrast*
%_datadir/themes/LargePrint*
%_datadir/themes/LowContrast*
%_iconsdir/HighContrast*
%_iconsdir/LargePrint*
%_iconsdir/LowContrast*

%files -n gtk2-themes-Grand-Canyon
%_datadir/themes/Grand-Canyon

%files -n gtk2-themes-Ocean-Dream
%_datadir/themes/Ocean-Dream

%files -n gtk2-themes-Simple
%_datadir/themes/Simple

%files -n gtk2-themes-Smokey-Blue
%_datadir/themes/Smokey-Blue

%files -n gtk2-themes-Traditional
%_datadir/themes/Traditional

%files -n gnome-icon-theme-Flat-Blue
%_iconsdir/Flat-Blue

%files -n gnome-icon-theme-Sandy
%_iconsdir/Sandy

%files -n gnome-icon-theme-Smokey-Blue
%_iconsdir/Smokey-Blue

%files -n gnome-icon-theme-Smokey-Red
%_iconsdir/Smokey-Red

%files -n metacity-themes-Sandwish
%_datadir/themes/Sandwish

%files -n metacity-themes-Smokey
%_datadir/themes/Smokey

%changelog
* Tue Jun 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.3-alt1
- 2.6.3

* Tue Jun 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Mon Apr 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Mon Mar 22 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0
- Inherits=gnome,hicolor,default.kde for icon themes.

* Wed Mar 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.92-alt1
- 2.5.92

* Wed Mar 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.91-alt1
- 2.5.91

* Wed Feb 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Thu Jan 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Thu Sep 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Sat May 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2.1-alt1
- 2.3.2.1

* Sun Mar 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2-alt1
- 2.2

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt1
- 1.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7-alt1
- 0.7

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6-alt1
- 0.6

* Mon Dec 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5-alt1
- 0.5

* Wed Nov 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4-alt1
- 0.4

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3-alt1
- 0.3

* Tue Oct 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2-alt1
- 0.2

* Wed Oct 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1-alt1
- First build for Sisyphus.
